Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 129585 - Refactoring the Hibernate mapping and configuration files
Refactoring the Hibernate mapping and configuration files
Status: RESOLVED WORKSFORME
Product: javaee
Classification: Unclassified
Component: Hibernate
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Dongmei Cao
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 00:03 UTC by Dongmei Cao
Modified: 2008-06-09 18:53 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dongmei Cao 2008-03-08 00:03:06 UTC
The mapping file needs to be refactored when 
- the referenced entity class is renamed or moved
- the referenced class properties/fields are renamed or deleted

The configuration file needs to be refactored when
- the refereced mapping file is renamed/moved or deleted
Comment 1 Dongmei Cao 2008-03-27 00:27:17 UTC
The first part of this issue has been added in NetBeans 6.1. I have created a new issue 131248 for the second part. Mark
this issue as "FIXED"
Comment 2 malfunction84 2008-05-27 15:12:51 UTC
This does not appear to be fixed in 6.1 (Build 200804211638), even with all patches released on May 25, 2008 applied. 
Did you mean 6.5, which is the same target milestone for Issue #131248?

- Refactoring an entity class (rename) does not affect the mapping file.
- Refactoring an entity class (move) does not affect the mapping file.
- Refactoring a field name (rename) does not affect the mapping file.
- Refactoring a field getter/setter (rename) does not affect the mapping file.
Comment 3 Dongmei Cao 2008-05-27 18:43:03 UTC
All the above are implemented in 6.1 (not 6.5). Issue #131248 is for refactoring the Hibernate configuration files,
meaning when the hibernate mapping files got renamed or moved, the configuration files will be modified accordingly.

When did you install the hibernate support plugins? Looks like you don't have the latest plugins. Try to install the
latest "Hiberante 3.2.5 Library" and "Hibernate Support" plugins (by removing the existing ones and install them again).
Comment 4 Dongmei Cao 2008-06-09 18:53:50 UTC
Mark this as "WORKSFORME". The reported missing features were implemented in NB 6.1 M2. 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo